"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const ModalLayout_1 = require("@strapi/design-system/ModalLayout");
const Typography_1 = require("@strapi/design-system/Typography");
const utils_1 = require("../../utils");
const DiscussionThreadItem_1 = __importDefault(require("../DiscussionThreadItem"));
const CommentReviewModal = ({ children, endActions, isVisible = false, item, onClose, startActions, }) => isVisible && (react_1.default.createElement(ModalLayout_1.ModalLayout, { onClose: onClose },
    react_1.default.createElement(ModalLayout_1.ModalHeader, null,
        react_1.default.createElement(Typography_1.Typography, { fontWeight: "bold", textColor: "neutral800", as: "h2", id: "title" }, (0, utils_1.getMessage)("page.details.panel.discussion.warnings.comments.header", "Open reports"))),
    react_1.default.createElement(ModalLayout_1.ModalBody, null,
        react_1.default.createElement(DiscussionThreadItem_1.default, { ...item.related, as: "div", isSelected: true, preview: true, root: true }),
        children),
    react_1.default.createElement(ModalLayout_1.ModalFooter, { variant: "tertiary", startActions: startActions, endActions: endActions })));
exports.default = CommentReviewModal;
//# sourceMappingURL=index.js.map