"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Box_1 = require("@strapi/design-system/Box");
const Status_1 = require("@strapi/design-system/Status");
const Typography_1 = require("@strapi/design-system/Typography");
const utils_1 = require("../../utils");
const DiscussionStatus = ({ blocked, blockedThread }) => {
    let variant = "success";
    return (react_1.default.createElement(Box_1.Box, { styles: { marginBottom: 10 } },
        react_1.default.createElement(Status_1.Status, { variant: variant },
            react_1.default.createElement(Typography_1.Typography, null,
                (0, utils_1.getMessage)("page.details.panel.status", "Discussion is"),
                " ",
                react_1.default.createElement(Typography_1.Typography, { fontWeight: "bold" },
                    (0, utils_1.getMessage)("page.details.panel.open", "OPEN"),
                    " ")))));
};
DiscussionStatus.propTypes = {};
exports.default = DiscussionStatus;
//# sourceMappingURL=index.js.map