/// <reference types="react" />
import PropTypes from "prop-types";
declare const DiscussionThread: {
    ({ level, selected, allowedActions, isReloading, }: {
        level?: never[] | undefined;
        selected?: {} | undefined;
        allowedActions: any;
        isReloading: any;
    }): JSX.Element;
    propTypes: {
        level: PropTypes.Validator<any[]>;
        selected: PropTypes.Validator<object>;
        allowedActions: PropTypes.Requireable<PropTypes.InferProps<{
            canModerate: PropTypes.Requireable<boolean>;
            canAccessReports: PropTypes.Requireable<boolean>;
            canReviewReports: PropTypes.Requireable<boolean>;
        }>>;
        isReloading: PropTypes.Requireable<boolean>;
    };
};
export default DiscussionThread;
//# sourceMappingURL=index.d.ts.map