"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscussionThreadItemContentTypographyRenderer = exports.DiscussionThreadItemContainer = exports.DiscussionThreadItemContent = exports.DiscussionThreadFullsize = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("@strapi/design-system/Box");
exports.DiscussionThreadFullsize = (0, styled_components_1.default)(Box_1.Box) `
  width: 100%;
`;
exports.DiscussionThreadItemContent = (0, styled_components_1.default)(exports.DiscussionThreadFullsize) `
  align-items: flex-start;
`;
exports.DiscussionThreadItemContainer = (0, styled_components_1.default)(exports.DiscussionThreadFullsize) `
  align-items: flex-start;
`;
exports.DiscussionThreadItemContentTypographyRenderer = styled_components_1.default.div `
  strong {
    font-weight: bold;
  }

  i, em {
    font-style: italic;
  }

  u {
    font-style: underline;
  }
`;
//# sourceMappingURL=styles.js.map