/// <reference types="react" />
import PropTypes from "prop-types";
declare const DiscussionThreadItemFooter: {
    ({ author, isAdminComment, children, createdAt, updatedAt, }: {
        author: any;
        isAdminComment: any;
        children: any;
        createdAt: any;
        updatedAt: any;
    }): JSX.Element;
    propTypes: {
        author: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
            id: PropTypes.Validator<any>;
            name: PropTypes.Validator<string>;
            email: PropTypes.Requireable<string>;
            avatar: PropTypes.Requireable<any>;
        }>>>;
        createdAt: PropTypes.Validator<string>;
        updatedAt: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<any[]>;
    };
};
export default DiscussionThreadItemFooter;
//# sourceMappingURL=index.d.ts.map