"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Stack_1 = require("@strapi/design-system/Stack");
const Typography_1 = require("@strapi/design-system/Typography");
const styles_1 = require("./styles");
const FormSwitch = ({ label, hint, ...props }) => (react_1.default.createElement(Stack_1.Stack, { size: 1 },
    label && (react_1.default.createElement(Typography_1.Typography, { variant: "pi", as: "label", fontWeight: "bold", textColor: "neutral800" }, label)),
    react_1.default.createElement(styles_1.StyledSwitch, { label: label, ...props }),
    hint && (react_1.default.createElement(Typography_1.Typography, { variant: "pi", as: "label", textColor: "neutral600" }, hint))));
exports.default = FormSwitch;
//# sourceMappingURL=index.js.map