"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconButtonGroupStyled = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const IconButton_1 = require("@strapi/design-system/IconButton");
exports.IconButtonGroupStyled = (0, styled_components_1.default)(IconButton_1.IconButtonGroup) `
  ${({ isSingle }) => isSingle &&
    `
        span:first-child button {
            border-radius: 4px;
        }
    `}
  ${({ withMargin }) => withMargin &&
    `
        margin-left: .5rem;
    `}
`;
//# sourceMappingURL=styles.js.map