"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const prop_types_1 = __importDefault(require("prop-types"));
const Button_1 = require("@strapi/design-system/Button");
const Box_1 = require("@strapi/design-system/Box");
const icons_1 = require("../icons");
const helper_plugin_1 = require("@strapi/helper-plugin");
const utils_1 = require("../../utils");
const TableFilters = ({ displayedFilters }) => {
    const [isVisible, setIsVisible] = (0, react_1.useState)(false);
    const buttonRef = (0, react_1.useRef)();
    const handleToggle = () => {
        setIsVisible((prev) => !prev);
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Box_1.Box, { paddingTop: 1, paddingBottom: 1 },
            react_1.default.createElement(Button_1.Button, { variant: "tertiary", ref: buttonRef, startIcon: icons_1.filter, onClick: handleToggle, size: "S" }, (0, utils_1.getMessage)("page.discover.table.filters")),
            isVisible && (react_1.default.createElement(helper_plugin_1.FilterPopoverURLQuery, { displayedFilters: displayedFilters, isVisible: isVisible, onToggle: handleToggle, source: buttonRef }))),
        react_1.default.createElement(helper_plugin_1.FilterListURLQuery, { filtersSchema: displayedFilters })));
};
TableFilters.propTypes = {
    displayedFilters: prop_types_1.default.arrayOf(prop_types_1.default.shape({
        name: prop_types_1.default.string.isRequired,
        metadatas: prop_types_1.default.shape({ label: prop_types_1.default.string }),
        fieldSchema: prop_types_1.default.shape({ type: prop_types_1.default.string }),
    })).isRequired,
};
exports.default = TableFilters;
//# sourceMappingURL=index.js.map