import { SetStateAction, Dispatch } from "react";
import { getMessage } from "../../../../utils";
import { CommentsFieldValue, PopulateField } from "./types";
export declare const asString: () => string;
export declare const fromInput: (value: unknown) => CommentsFieldValue;
export declare const toOutput: (state: CommentsFieldValue) => string;
export declare function assertCorrectState(state: any): asserts state is CommentsFieldValue;
export declare const handleStateSliceChange: (key: keyof CommentsFieldValue, setState: Dispatch<SetStateAction<CommentsFieldValue>>) => (value: string | number | Date | PopulateField[] | undefined) => void;
export declare const handlePopulateChange: (key: PopulateField, setState: Dispatch<SetStateAction<CommentsFieldValue>>) => () => void;
export declare const getRenderTypeOptions: (translate: typeof getMessage) => {
    value: string;
    label: string;
}[];
export declare const getSortByDateOptions: (translate: typeof getMessage) => {
    value: string;
    label: string;
}[];
export declare const getFilterByOptions: (translate: typeof getMessage) => {
    value: string;
    label: string;
}[];
export declare const getApprovalStatusOptions: (translate: typeof getMessage) => {
    value: string;
    label: string;
}[];
//# sourceMappingURL=utils.d.ts.map