"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectConfig = exports.appView = void 0;
const reselect_1 = require("reselect");
const _1 = require("./");
const constants_1 = require("./constants");
const appView = () => (state) => state[constants_1.REDUCER_NAME] || _1.initialState;
exports.appView = appView;
const makeAppView = () => (0, reselect_1.createSelector)(appView(), (substate) => {
    return substate;
});
const selectConfig = (state) => {
    const { config } = state;
    return config;
};
exports.selectConfig = selectConfig;
exports.default = makeAppView;
//# sourceMappingURL=selectors.js.map