"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchConfig = void 0;
const utils_1 = require("../../../utils");
const fetchConfig = async (toggleNotification) => {
    try {
        const { data } = await utils_1.axiosInstance.get((0, utils_1.getApiURL)(`moderate/config`));
        return data;
    }
    catch (err) {
        (0, utils_1.handleAPIError)(err, toggleNotification);
    }
};
exports.fetchConfig = fetchConfig;
//# sourceMappingURL=api.js.map