/// <reference types="react" />
import PropTypes from "prop-types";
declare const DiscoverTableRow: {
    ({ config, item, allowedActions: { canModerate, canAccessReports, canReviewReports }, onClick, }: {
        config: any;
        item: any;
        allowedActions: {
            canModerate: any;
            canAccessReports: any;
            canReviewReports: any;
        };
        onClick: any;
    }): JSX.Element;
    propTypes: {
        config: PropTypes.Validator<object>;
        item: PropTypes.Validator<object>;
        allowedActions: PropTypes.Requireable<PropTypes.InferProps<{
            canModerate: PropTypes.Requireable<boolean>;
            canAccessReports: PropTypes.Requireable<boolean>;
            canReviewReports: PropTypes.Requireable<boolean>;
        }>>;
        onClick: PropTypes.Validator<(...args: any[]) => any>;
    };
};
export default DiscoverTableRow;
//# sourceMappingURL=index.d.ts.map