"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const permissions_1 = __importDefault(require("./../../permissions"));
exports.default = {
    access: [
        { action: permissions_1.default.render(permissions_1.default.comments.read), subject: null },
        { action: permissions_1.default.render(permissions_1.default.reports.read), subject: null },
        { action: permissions_1.default.render(permissions_1.default.settings.read), subject: null },
        { action: permissions_1.default.render(permissions_1.default.settings.read), subject: null },
    ],
    moderate: [
        {
            action: permissions_1.default.render(permissions_1.default.comments.moderate),
            subject: null,
        },
    ],
    reports: [
        { action: permissions_1.default.render(permissions_1.default.reports.read), subject: null },
    ],
    reportsReview: [
        { action: permissions_1.default.render(permissions_1.default.reports.action), subject: null },
    ],
    settings: [
        { action: permissions_1.default.render(permissions_1.default.settings.read), subject: null },
    ],
    settingsChange: [
        { action: permissions_1.default.render(permissions_1.default.settings.change), subject: null },
    ],
};
//# sourceMappingURL=permissions.js.map