"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.COMMENT_STATUS = exports.REPORT_REASON = exports.REPORT_STATUS = exports.APPROVAL_STATUS = void 0;
exports.APPROVAL_STATUS = {
    PENDING: "PENDING",
    APPROVED: "APPROVED",
    REJECTED: "REJECTED",
};
exports.REPORT_STATUS = {
    ...exports.APPROVAL_STATUS,
    BLOCKED: "BLOCKED",
    OPEN: "OPEN",
    RESOLVED: "RESOLVED",
};
exports.REPORT_REASON = {
    BAD_LANGUAGE: "BAD_LANGUAGE",
    DISCRIMINATION: "DISCRIMINATION",
    OTHER: "OTHER",
};
exports.COMMENT_STATUS = {
    ...exports.APPROVAL_STATUS,
    BLOCKED: "BLOCKED",
    OPEN: "OPEN",
    REMOVED: "REMOVED",
    TO_REVIEW: "TO_REVIEW",
    UNKNOWN: "UNKNOWN",
};
//# sourceMappingURL=constants.js.map