"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const renderEntryTitle = (entry, config = {}) => {
    const { entryLabel } = config;
    const rule = entry.uid in entryLabel ? entryLabel[entry.uid] : entryLabel["*"];
    return (0, lodash_1.first)(Object.keys(entry)
        .filter((_) => rule === _ || rule.includes(_))
        .map((_) => entry[_])
        .filter((_) => _));
};
exports.default = renderEntryTitle;
//# sourceMappingURL=renderEntryTitle.js.map