"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const id_1 = __importDefault(require("./id"));
const comment_1 = __importDefault(require("./comment"));
const comment_nested_1 = __importDefault(require("./comment-nested"));
const comment_author_1 = __importDefault(require("./comment-author"));
const comment_author_type_1 = __importDefault(require("./comment-author-type"));
const create_comment_1 = __importDefault(require("./create-comment"));
const create_comment_author_1 = __importDefault(require("./create-comment-author"));
const update_comment_1 = __importDefault(require("./update-comment"));
const remove_comment_1 = __importDefault(require("./remove-comment"));
const identify_comment_author_1 = __importDefault(require("./identify-comment-author"));
const report_1 = __importDefault(require("./report"));
const report_reason_1 = __importDefault(require("./report-reason"));
const create_report_1 = __importDefault(require("./create-report"));
const response_pagination_1 = __importDefault(require("./response-pagination"));
const response_meta_1 = __importDefault(require("./response-meta"));
const response_find_all_1 = __importDefault(require("./response-find-all"));
const response_find_all_per_author_1 = __importDefault(require("./response-find-all-per-author"));
const typesFactories = [
    id_1.default,
    comment_1.default,
    comment_nested_1.default,
    comment_author_1.default,
    comment_author_type_1.default,
    create_comment_1.default,
    create_comment_author_1.default,
    update_comment_1.default,
    remove_comment_1.default,
    identify_comment_author_1.default,
    report_1.default,
    report_reason_1.default,
    create_report_1.default,
    response_pagination_1.default,
    response_meta_1.default,
    response_find_all_1.default,
    response_find_all_per_author_1.default,
];
module.exports = (context) => typesFactories.map((factory) => factory(context));
//# sourceMappingURL=index.js.map