declare const _default: {
    register: (context: import("strapi-typed").StrapiContext) => void;
    bootstrap: ({ strapi }: import("strapi-typed").StrapiContext) => Promise<void>;
    destroy: () => void;
    config: import("../types").StrapiConfig;
    controllers: {
        [key: string]: Object | Function;
    };
    routes: {
        [key: string]: {
            type: string;
            routes: import("strapi-typed").StrapiRoute[];
        };
    };
    services: {
        admin: ({ strapi }: import("strapi-typed").StrapiContext) => import("../types").IServiceAdmin;
        client: ({ strapi }: import("strapi-typed").StrapiContext) => import("../types").IServiceClient;
        common: ({ strapi }: import("strapi-typed").StrapiContext) => import("../types").IServiceCommon;
        gql: ({ strapi }: import("strapi-typed").StrapiContext) => import("../types").IServiceGraphQL;
    };
    contentTypes: {};
    policies: {};
    middlewares: {};
};
export default _default;
//# sourceMappingURL=index.d.ts.map