"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerCustomFields = void 0;
const comments_1 = require("./comments");
const registerCustomFields = ({ strapi }) => {
    if (!canRegister({ strapi })) {
        strapi.log.warn("[Comments Plugin] Custom fields disabled. Upgrade Strapi to use custom fields.");
        return;
    }
    strapi.customFields.register(comments_1.commentsCustomField);
};
exports.registerCustomFields = registerCustomFields;
const canRegister = ({ strapi }) => !!strapi.customFields;
//# sourceMappingURL=index.js.map