"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const icons_1 = require("@strapi/icons");
const Icon_1 = require("@strapi/design-system/Icon");
const AdminAvatar = ({ children }) => {
    return (react_1.default.createElement(styles_1.AdminAvatarWrapper, null,
        children,
        react_1.default.createElement(styles_1.AdminShield, null,
            react_1.default.createElement(Icon_1.Icon, { as: icons_1.Shield, color: "neutral800" }))));
};
exports.default = AdminAvatar;
//# sourceMappingURL=index.js.map