/// <reference types="react" />
import PropTypes from "prop-types";
declare const ConfirmationDialog: {
    ({ isVisible, isActionAsync, children, onConfirm, onCancel, header, labelCancel, labelConfirm, iconConfirm, }: {
        isVisible?: boolean | undefined;
        isActionAsync?: boolean | undefined;
        children: any;
        onConfirm: any;
        onCancel: any;
        header: any;
        labelCancel: any;
        labelConfirm: any;
        iconConfirm: any;
    }): JSX.Element;
    propTypes: {
        isVisible: PropTypes.Requireable<boolean>;
        isActionAsync: PropTypes.Requireable<boolean>;
        children: PropTypes.Validator<any[]>;
        header: PropTypes.Requireable<string>;
        labelCancel: PropTypes.Requireable<string>;
        labelConfirm: PropTypes.Requireable<string>;
        iconConfirm: PropTypes.Requireable<object>;
        onConfirm: PropTypes.Validator<(...args: any[]) => any>;
        onCancel: PropTypes.Validator<(...args: any[]) => any>;
    };
};
export default ConfirmationDialog;
//# sourceMappingURL=index.d.ts.map