/// <reference types="react" />
import PropTypes from "prop-types";
declare const DiscussionThreadItemReviewAction: {
    ({ allowedActions: { canModerate, canAccessReports, canReviewReports }, isAnyActionLoading, item, queryToInvalidate }: {
        allowedActions: {
            canModerate: any;
            canAccessReports: any;
            canReviewReports: any;
        };
        isAnyActionLoading: any;
        item: any;
        queryToInvalidate: any;
    }): JSX.Element | null;
    propTypes: {
        item: PropTypes.Validator<object>;
        isAnyActionLoading: PropTypes.Requireable<boolean>;
        allowedActions: PropTypes.Requireable<PropTypes.InferProps<{
            canModerate: PropTypes.Requireable<boolean>;
            canAccessReports: PropTypes.Requireable<boolean>;
            canReviewReports: PropTypes.Requireable<boolean>;
        }>>;
        queryToInvalidate: PropTypes.Requireable<string>;
    };
};
export default DiscussionThreadItemReviewAction;
//# sourceMappingURL=index.d.ts.map