"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoadingIndicatorContainer = exports.LoadingIndicatorOverlayWrapper = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("@strapi/design-system/Box");
exports.LoadingIndicatorOverlayWrapper = (0, styled_components_1.default)(Box_1.Box) `
  height: 100% !important;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: rgba(255, 255, 255, 0.7);
  z-index: 1;

  & > div {
    height: 100% !important;
  }
`;
exports.LoadingIndicatorContainer = (0, styled_components_1.default)((props) => props.as) `
  position: relative;
`;
//# sourceMappingURL=styles.js.map