"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sanitize_html_1 = __importDefault(require("sanitize-html"));
const defaultOptions = {
    ...sanitize_html_1.default.defaults,
    allowedTags: false,
    allowedAttributes: {
        '*': ['href', 'align', 'alt', 'center', 'width', 'height', 'type', 'controls', 'target'],
        img: ['src', 'alt'],
        source: ['src', 'type'],
    },
};
const clean = (dirty, options = defaultOptions) => (0, sanitize_html_1.default)(dirty, options);
exports.default = clean;
//# sourceMappingURL=satinizeHtml.js.map