/// <reference types="react" />
import PropTypes from "prop-types";
declare const ReportsReviewModal: {
    ({ isVisible, item, children, onClose, startActions, endActions, }: {
        isVisible?: boolean | undefined;
        item: any;
        children: any;
        onClose: any;
        startActions: any;
        endActions: any;
    }): false | JSX.Element;
    propTypes: {
        isVisible: PropTypes.Requireable<boolean>;
        startActions: PropTypes.Requireable<any[]>;
        endActions: PropTypes.Requireable<any[]>;
        item: PropTypes.Validator<object>;
        children: PropTypes.Validator<any[]>;
        allowedActions: PropTypes.Requireable<PropTypes.InferProps<{
            canModerate: PropTypes.Requireable<boolean>;
            canAccessReports: PropTypes.Requireable<boolean>;
            canReviewReports: PropTypes.Requireable<boolean>;
        }>>;
        onClose: PropTypes.Validator<(...args: any[]) => any>;
    };
};
export default ReportsReviewModal;
//# sourceMappingURL=index.d.ts.map