"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Typography_1 = require("@strapi/design-system/Typography");
const styles_1 = require("./styles");
const StatusBadge = ({ children, textColor, ...rest }) => (react_1.default.createElement(styles_1.StatusBadge, { ...rest },
    react_1.default.createElement(Typography_1.Typography, { variant: "omega", fontWeight: "semibold", textColor: textColor }, children)));
exports.default = StatusBadge;
//# sourceMappingURL=index.js.map