"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBadge = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Badge_1 = require("@strapi/design-system/Badge");
exports.StatusBadge = (0, styled_components_1.default)(Badge_1.Badge) `
  padding: 5px 8px;
  border: 1px ${({ theme, color }) => theme.colors[`${color}200`]} solid;

  overflow: hidden;

  text-overflow: ellipsis;

  cursor: default;

  span {
    text-transform: none;
  }
`;
//# sourceMappingURL=styles.js.map