import { Id } from "strapi-typed";
import { CommentDetails, CommentUpdateDetails } from "../../../../types/api";
import { ToBeFixed } from "../../../../types";
export declare const fetchDetailsData: (id: Id, queryParams: ToBeFixed, toggleNotification: Function) => Promise<ToBeFixed>;
export declare const fetchContentTypeData: (uid: string, toggleNotification: Function) => Promise<any>;
export declare const blockItem: (id: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const unblockItem: (id: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const approveItem: (id: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const rejectItem: (id: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const deleteItem: (id: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const blockItemThread: (id: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const unblockItemThread: (id: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const resolveReport: ({ id, reportId }: ToBeFixed) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const resolveCommentMultipleReports: ({ id, reportIds, }: {
    id: Id;
    reportIds: Array<Id>;
}) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const resolveMultipleReports: (reportsIds: Array<Id>) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const resolveAllAbuseReportsForComment: (commentId: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const resolveAllAbuseReportsForThread: (commentId: Id) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const postComment: ({ threadId, body, author }: CommentDetails) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const updateComment: ({ id, body }: CommentUpdateDetails) => Promise<import("axios").AxiosResponse<any, any>>;
//# sourceMappingURL=api.d.ts.map