"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pluginId_1 = require("../pluginId");
const handleAPIError = (err = null, toggleNotification = null, message = "app.components.notification.error") => {
    toggleNotification({
        type: "warning",
        message: `${pluginId_1.pluginId}.${message}`,
    });
    if (err) {
        throw err;
    }
    else {
        throw new Error("error");
    }
};
exports.default = handleAPIError;
//# sourceMappingURL=handleAPIError.js.map