"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const resolveReportStatusColor = (status) => {
    switch (status) {
        case constants_1.REPORT_STATUS.PENDING:
            return "primary";
        case constants_1.REPORT_STATUS.RESOLVED:
            return "success";
        case constants_1.REPORT_STATUS.BLOCKED:
            return "danger";
        default:
            return "primary";
    }
};
exports.default = resolveReportStatusColor;
//# sourceMappingURL=resolveReportStatusColor.js.map