import { Id, StrapiAdmin, StrapiUser } from "strapi-typed";
import { Comment, ToBeFixed } from "../../../types";
import PluginError from "./../../utils/error";
export declare const buildNestedStructure: (entities: Array<Comment>, id?: Id | null, field?: string, dropBlockedThreads?: boolean, blockNestedThreads?: boolean) => Array<Comment>;
export declare const isEqualEntity: (existing: Comment, data: ToBeFixed, user: StrapiUser) => boolean;
export declare const getRelatedGroups: (related: string) => Array<string>;
export declare const getModelUid: (name: string) => string;
export declare const filterOurResolvedReports: (item: Comment) => Comment;
export declare const convertContentTypeNameToSlug: (str: string) => string;
export declare const buildAuthorModel: (item: Comment, blockedAuthorProps: Array<string>, fieldsToPopulate?: Array<string>) => Comment;
export declare const buildConfigQueryProp: (prop?: undefined | string | Array<string>) => string;
export declare const resolveUserContextError: (user: StrapiUser) => PluginError;
export declare const getAuthorName: (author: StrapiAdmin) => any;
//# sourceMappingURL=functions.d.ts.map