"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.REGEX = exports.AUTHOR_TYPE = exports.APPROVAL_STATUS = exports.CONFIG_PARAMS = void 0;
exports.CONFIG_PARAMS = {
    ENABLED_COLLECTIONS: "enabledCollections",
    APPROVAL_FLOW: "approvalFlow",
    ENTRY_LABEL: "entryLabel",
    MODERATOR_ROLES: "moderatorRoles",
    BAD_WORDS: "badWords",
    AUTHOR_BLOCKED_PROPS: "blockedAuthorProps",
};
exports.APPROVAL_STATUS = {
    PENDING: "PENDING",
    APPROVED: "APPROVED",
    REJECTED: "REJECTED",
};
exports.AUTHOR_TYPE = {
    GENERIC: 'GENERIC',
    STRAPI: 'STRAPI',
};
exports.REGEX = {
    uid: /^(?<type>[a-z0-9-]+)\:{2}(?<api>[a-z0-9-]+)\.{1}(?<contentType>[a-z0-9-]+)$/i,
    relatedUid: /^(?<uid>[a-z0-9-]+\:{2}[a-z0-9-]+\.[a-z0-9-]+)\:{1}(?<id>[a-z0-9-]+)$/i,
    email: /\S+@\S+\.\S+/,
    sorting: /^(?<path>[a-z0-9-_\:\.]+)\:+(asc|desc)$/i,
};
//# sourceMappingURL=constants.js.map